---
title: "Get user story"
description: "Get a single user story with steps and coverage summary"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.testandaccept.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Test And Accept API › UserStories

`GET /user-stories/{id}`

Get a single user story with steps and coverage summary

## Authentication

- `bearerAuth`, http, header `Authorization`, format `tnda_ token`

## Path parameters

- `id` (`userStories-get.path.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.testandaccept.com/api/rest/user-stories/<id>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.testandaccept.com/api/rest/user-stories/<id>';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.testandaccept.com/api/rest/user-stories/<id>"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Successful response

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "status": "draft",
  "orderIndex": 0,
  "createdAt": "string",
  "updatedAt": "string",
  "steps": [
    null
  ],
  "coverageSummary": null
}
```

- `id` (`userStories-get.response.200.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
- `projectId` (`userStories-get.response.200.projectId`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
- `title` (`userStories-get.response.200.title`; string, required)
- `description` (`userStories-get.response.200.description`; any of, required)
  - any of: `string`, `null`
- `ownerUserId` (`userStories-get.response.200.ownerUserId`; string, required)
- `status` (`userStories-get.response.200.status`; string, required)
  - one of `"draft"`, `"refined"`, `"assessed"`
- `orderIndex` (`userStories-get.response.200.orderIndex`; number, required)
- `createdAt` (`userStories-get.response.200.createdAt`; string, required)
- `updatedAt` (`userStories-get.response.200.updatedAt`; string, required)
- `steps` (`userStories-get.response.200.steps`; array<unknown>, required)
- `coverageSummary` (`userStories-get.response.200.coverageSummary`; unknown, required)

### 400

Invalid input data

#### Example

```json
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
```

- `message` (`userStories-get.response.400.message`; string, required) — The error message
  - example `"Invalid input data"`
- `code` (`userStories-get.response.400.code`; string, required) — The error code
  - example `"BAD_REQUEST"`
- `issues` (`userStories-get.response.400.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-get.response.400.issues.message`; string, required)

### 401

Authorization not provided

#### Example

```json
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
```

- `message` (`userStories-get.response.401.message`; string, required) — The error message
  - example `"Authorization not provided"`
- `code` (`userStories-get.response.401.code`; string, required) — The error code
  - example `"UNAUTHORIZED"`
- `issues` (`userStories-get.response.401.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-get.response.401.issues.message`; string, required)

### 403

Insufficient access

#### Example

```json
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
```

- `message` (`userStories-get.response.403.message`; string, required) — The error message
  - example `"Insufficient access"`
- `code` (`userStories-get.response.403.code`; string, required) — The error code
  - example `"FORBIDDEN"`
- `issues` (`userStories-get.response.403.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-get.response.403.issues.message`; string, required)

### 404

Not found

#### Example

```json
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
```

- `message` (`userStories-get.response.404.message`; string, required) — The error message
  - example `"Not found"`
- `code` (`userStories-get.response.404.code`; string, required) — The error code
  - example `"NOT_FOUND"`
- `issues` (`userStories-get.response.404.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-get.response.404.issues.message`; string, required)

### 500

Internal server error

#### Example

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
```

- `message` (`userStories-get.response.500.message`; string, required) — The error message
  - example `"Internal server error"`
- `code` (`userStories-get.response.500.code`; string, required) — The error code
  - example `"INTERNAL_SERVER_ERROR"`
- `issues` (`userStories-get.response.500.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-get.response.500.issues.message`; string, required)


Source: https://docs.testandaccept.com/reference/user-stories/retrieve/index.md
